Subject: Re: [PATCH net-next 0/5] tools: ynl: policy query support

From: Donald Hunter <[email-masked]>
Date: Wed, 11 Mar 2026 11:30:59 +0000

[email-masked] writes:

> Hello:
>
> This series was applied to netdev/net-next.git (main)
> by Jakub Kicinski <[email-masked]>:
>
> On Mon,  9 Mar 2026 17:53:32 -0700 you wrote:
>> Improve the Netlink policy support in YNL. This series grew out of
>> improvements to policy checking, when writing selftests I realized
>> that instead of doing all the policy parsing in the test we're
>> better off making it part of YNL itself.
>> 
>> Patch 1 adds pad handling, apparently we never hit pad with commonly
>> used families. nlctrl policy dumps use pad more frequently.
>> Patch 2 is a trivial refactor.
>> Patch 3 pays off some technical debt in terms of documentation.
>> The YnlFamily class is growing in size and it's quite hard to
>> find its members. So document it a little bit.
>> Patch 4 is the main dish, the implementation of get_policy(op)
>> in YnlFamily.
>> Patch 5 plugs the new functionality into the CLI.

I was mid review, looking at a couple of issues:

- It would be good to fail more gracefully for netlink-raw families
- I get "RecursionError: maximum recursion depth exceeded" for nl80211

Happy to address these in a followup.

Cheers,
Donald.